import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function signin({ csrfToken, providers, callbackUrl, email, error: errorType, }) {
    var _a;
    // We only want to render providers
    const providersToRender = providers.filter((provider) => {
        if (provider.type === "oauth" || provider.type === "email") {
            // Always render oauth and email type providers
            return true;
        }
        else if (provider.type === "credentials" && provider.credentials) {
            // Only render credentials type provider if credentials are defined
            return true;
        }
        // Don't render other provider types
        return false;
    });
    const errors = {
        Signin: "Try signing in with a different account.",
        OAuthSignin: "Try signing in with a different account.",
        OAuthCallback: "Try signing in with a different account.",
        OAuthCreateAccount: "Try signing in with a different account.",
        EmailCreateAccount: "Try signing in with a different account.",
        Callback: "Try signing in with a different account.",
        OAuthAccountNotLinked: "To confirm your identity, sign in with the same account you used originally.",
        EmailSignin: "Check your email inbox.",
        CredentialsSignin: "Sign in failed. Check the details you provided are correct.",
        default: "Unable to sign in.",
    };
    const error = errorType && ((_a = errors[errorType]) !== null && _a !== void 0 ? _a : errors.default);
    return (_jsxs("div", Object.assign({ className: "signin" }, { children: [error && (_jsx("div", Object.assign({ className: "error" }, { children: _jsx("p", { children: error }, void 0) }), void 0)), providersToRender.map((provider, i) => (_jsxs("div", Object.assign({ className: "provider" }, { children: [provider.type === "oauth" && (_jsxs("form", Object.assign({ action: provider.signinUrl, method: "POST" }, { children: [_jsx("input", { type: "hidden", name: "csrfToken", value: csrfToken }, void 0), callbackUrl && (_jsx("input", { type: "hidden", name: "callbackUrl", value: callbackUrl }, void 0)), _jsxs("button", Object.assign({ type: "submit", className: "button" }, { children: ["Sign in with ", provider.name] }), void 0)] }), void 0)), (provider.type === "email" || provider.type === "credentials") &&
                        i > 0 &&
                        providersToRender[i - 1].type !== "email" &&
                        providersToRender[i - 1].type !== "credentials" && _jsx("hr", {}, void 0), provider.type === "email" && (_jsxs("form", Object.assign({ action: provider.signinUrl, method: "POST" }, { children: [_jsx("input", { type: "hidden", name: "csrfToken", value: csrfToken }, void 0), _jsx("label", Object.assign({ for: `input-email-for-${provider.id}-provider` }, { children: "Email" }), void 0), _jsx("input", { id: `input-email-for-${provider.id}-provider`, autoFocus: true, type: "text", name: "email", value: email, placeholder: "email@example.com" }, void 0), _jsxs("button", Object.assign({ type: "submit" }, { children: ["Sign in with ", provider.name] }), void 0)] }), void 0)), provider.type === "credentials" && (_jsxs("form", Object.assign({ action: provider.callbackUrl, method: "POST" }, { children: [_jsx("input", { type: "hidden", name: "csrfToken", value: csrfToken }, void 0), Object.keys(provider.credentials).map((credential) => {
                                return (_jsxs("div", { children: [_jsx("label", Object.assign({ for: `input-${credential}-for-${provider.id}-provider` }, { children: provider.credentials[credential].label || credential }), void 0), _jsx("input", { name: credential, id: `input-${credential}-for-${provider.id}-provider`, type: provider.credentials[credential].type || "text", value: provider.credentials[credential].value || "", placeholder: provider.credentials[credential].placeholder || "" }, void 0)] }, `input-group-${provider.id}`));
                            }), _jsxs("button", Object.assign({ type: "submit" }, { children: ["Sign in with ", provider.name] }), void 0)] }), void 0)), (provider.type === "email" || provider.type === "credentials") &&
                        i + 1 < providersToRender.length && _jsx("hr", {}, void 0)] }), provider.id)))] }), void 0));
}
