export function encode({ token, maxAge, secret, signingKey, signingOptions, encryptionKey, encryptionOptions, encryption, }?: {
    token?: {} | undefined;
    maxAge?: number | undefined;
    secret: any;
    signingKey: any;
    signingOptions?: {
        expiresIn: string;
    } | undefined;
    encryptionKey: any;
    encryptionOptions?: {
        alg: string;
        enc: string;
        zip: string;
    } | undefined;
    encryption?: boolean | undefined;
}): Promise<string>;
export function decode({ secret, token, maxAge, signingKey, verificationKey, verificationOptions, encryptionKey, decryptionKey, decryptionOptions, encryption, }?: {
    secret: any;
    token: any;
    maxAge?: number | undefined;
    signingKey: any;
    verificationKey?: any;
    verificationOptions?: {
        maxTokenAge: string;
        algorithms: string[];
    } | undefined;
    encryptionKey: any;
    decryptionKey?: any;
    decryptionOptions?: {
        algorithms: string[];
    } | undefined;
    encryption?: boolean | undefined;
}): Promise<object | null>;
/**
 * Server-side method to retrieve the JWT from `req`.
 * @param {{
 * req: NextApiRequest
 * secureCookie?: boolean
 * cookieName?: string
 * raw?: boolean
 * }} params
 */
export function getToken(params: {
    req: any;
    secureCookie?: boolean | undefined;
    cookieName?: string | undefined;
    raw?: boolean | undefined;
}): Promise<any>;
