/**
 * @typedef {import("types/providers").EmailConfig} EmailConfig
 */
/**
 * Starts an e-mail login flow, by generating a token,
 * and sending it to the user's e-mail (with the help of a DB adapter)
 * @param {string} identifier
 * @param {import("types/internals").InternalOptions<EmailConfig>} options
 */
export default function email(identifier: string, options: import("types/internals").InternalOptions<EmailConfig>): Promise<void>;
export type EmailConfig = import("types/providers").EmailConfig;
